#
# Conditional build:
%bcond_without	tests	# test target
%bcond_without	doc	# Build API documentation
%bcond_without	python2 # CPython 2.x module
%bcond_without	python3 # CPython 3.x module

%define		module	pep8
Summary:	Python style guide checker
Summary(pl.UTF-8):	Sprawdzanie zgodności z poradnikiem stylu kodowania w Pythonie
Name:		python-%{module}
Version:	1.7.1
Release:	7
License:	MIT
Group:		Libraries/Python
#Source0Download: https://pypi.org/simple/pep8/
Source0:	https://files.pythonhosted.org/packages/source/p/pep8/%{module}-%{version}.tar.gz
# Source0-md5:	603821d06db945c71d811b5a8d78423c
Patch0:		%{name}-nestedset.patch
Patch1:		%{name}-tokenize.patch
URL:		https://pypi.org/project/pep8/
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.714
%if %{with python2}
BuildRequires:	python-setuptools
%endif
%if %{with python3}
BuildRequires:	python3-setuptools
%endif
%{?with_doc:BuildRequires:	sphinx-pdg}
Requires:	python-modules
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
pep8 is a tool to check your Python code against some of the style
conventions in PEP 8.

Note: it's deprecated in favour on pycodestyle.

%description -l pl.UTF-8
pep8 to narzędzie do sprawdzania kodu w Pythonie względem niektórych
konwencji stylistycznych opisanych w PEP 8.

Uwaga: to narzędzie jest przestarzałe, nowszą wersją jest pycodestyle.

%package -n python3-%{module}
Summary:	Python style guide checker
Summary(pl.UTF-8):	Sprawdzanie zgodności z poradnikiem stylu kodowania w Pythonie
Group:		Libraries/Python
Requires:	python3-modules

%description -n python3-%{module}
pep8 is a tool to check your Python code against some of the style
conventions in PEP 8.

Note: it's deprecated in favour on pycodestyle.

%description -n python3-%{module} -l pl.UTF-8
pep8 to narzędzie do sprawdzania kodu w Pythonie względem niektórych
konwencji stylistycznych opisanych w PEP 8.

Uwaga: to narzędzie jest przestarzałe, nowszą wersją jest pycodestyle.

%package apidocs
Summary:	API documentation for pep8 module
Summary(pl.UTF-8):	Dokumentacja API modułu pep8
Group:		Documentation

%description apidocs
API documentation for pep8 module.

%description apidocs -l pl.UTF-8
Dokumentacja API modułu pep8.

%prep
%setup -q -n %{module}-%{version}
%patch0 -p1
%patch1 -p1

%build
# pep8 issues deprecance warning, which causes some tests to fail
export PYTHONWARNINGS=ignore

%if %{with python2}
%py_build

%if %{with tests}
%{__python} -m testsuite.test_all
%endif
%endif

%if %{with python3}
%py3_build

%if %{with tests}
%{__python3} -m testsuite.test_all
%endif
%endif

%if %{with doc}
%{__make} -C docs -j1 html
%endif

%install
rm -rf $RPM_BUILD_ROOT
%if %{with python2}
%py_install

%{__mv} $RPM_BUILD_ROOT%{_bindir}/pep8{,-2}
%py_postclean
%endif

%if %{with python3}
%py3_install
%{__mv} $RPM_BUILD_ROOT%{_bindir}/pep8{,-3}
%endif

%if %{with python2}
ln -s pep8-2 $RPM_BUILD_ROOT%{_bindir}/pep8
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%if %{with python2}
%files
%defattr(644,root,root,755)
%doc CHANGES.txt README.rst
%attr(755,root,root) %{_bindir}/pep8
%attr(755,root,root) %{_bindir}/pep8-2
%{py_sitescriptdir}/pep8.py[co]
%if "%{py_ver}" > "2.4"
%{py_sitescriptdir}/pep8-%{version}-py*.egg-info
%endif
%endif

%if %{with python3}
%files -n python3-%{module}
%defattr(644,root,root,755)
%doc CHANGES.txt README.rst
%attr(755,root,root) %{_bindir}/pep8-3
%{py3_sitescriptdir}/pep8.py
%{py3_sitescriptdir}/__pycache__/pep8.cpython-*.py[co]
%{py3_sitescriptdir}/pep8-%{version}-py*.egg-info
%endif

%if %{with doc}
%files apidocs
%defattr(644,root,root,755)
%doc docs/_build/html/{_modules,_static,*.html,*.js}
%endif
%changelog
* Wed Mar 30 2022 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python-pep8.git;a=log;h=master

* Wed Mar 30 2022 Jan Rękorajski <baggins@pld-linux.org> dacda5c
- rebuild with tests and docs

* Fri Mar 25 2022 Jan Rękorajski <baggins@pld-linux.org> 741f9cc
- rebuild with python 3.10

* Fri Mar 25 2022 Jan Rękorajski <baggins@pld-linux.org> 747b51d
- rebuild with python 3.10

* Wed Mar 03 2021 Jan Rękorajski <baggins@pld-linux.org> bc9f477
- release 4 (by relup.sh)

* Wed Mar 03 2021 Jan Rękorajski <baggins@pld-linux.org> 723c209
- rediff patches

* Sun Jan 12 2020 Jakub Bogusz <qboosh@pld-linux.org> 95031b5
- added nestedset,tokenize patches (fixes for py3.7+ backported from pycodestyle)
- added deprecation warnings to descriptions
- release 3

* Mon Oct 28 2019 Jan Rękorajski <baggins@pld-linux.org> 85e88f1
- rebuild with python 3.8
- release 2 (by relup.sh)

* Sun Jul 29 2018 Jakub Bogusz <qboosh@pld-linux.org> 1516623
- updated to 1.7.1

* Sun Jul 01 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> 03161c6
- release 3 (by relup.sh)

* Thu Dec 29 2016 Arkadiusz Miśkiewicz <arekm@maven.pl> 718f4d6
- python 3.6
- release 2 (by relup.sh)

* Sun Mar 20 2016 Jakub Bogusz <qboosh@pld-linux.org> c4e8be5
- updated to 1.7.0

* Sun Nov 29 2015 Jacek Konieczny <jajcus@jajcus.net> 330ea66
- BR: rpmbuild(macros) >= 1.710

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> e2acd8a
- release 4 (by relup.sh)

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> a00fb22
- automatic change: use py_build/py_install macros

* Mon Sep 14 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> bd0ea99
- release 3 (by relup.sh)

* Sun Sep 13 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> 82e7184
- python 3.5 rebuild
- release 2 (by relup.sh)

* Thu Jul 02 2015 Jakub Bogusz <qboosh@pld-linux.org> 6ee2147
- updated to 1.6.2
- pl

* Thu Nov 27 2014 Elan Ruusamäe <glen@delfi.ee> 719f753
- restore tabs

* Thu Nov 27 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> 77358bd
- up to 1.5.7; python3 subpackage

* Tue Feb 04 2014 Jan Rękorajski <baggins@pld-linux.org> 997ac73
- new

